View Issue Details

IDProjectCategoryView StatusLast Update
0001290FreeCADFeaturepublic2013-11-04 22:50
ReporterraulshcAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001290: Add spiral tool in Part Module
DescriptionAdd a parametric spiral tool in Part Module (Menu-> Part->CreatePrimitives) based in Normanc's projective method.

https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=4211

Add tree operation icon to combo view made by jmaustpc

https://sites.google.com/site/austpcpublicfiles/Home/files-public-distribution/icons/part_and_general_icons/part_primitives_blue_red_theme

https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=10&t=3627&start=50
TagsNo tags attached.

Activities

wmayer

2013-10-30 12:50

administrator   ~0003835

git show 712bc17

Related Changesets

FreeCAD: master 712bc170

2013-10-30 11:48:42

wmayer

Details Diff
0001290: Add spiral tool in Part Module Affected Issues
0001290
mod - src/Mod/Part/App/AppPart.cpp Diff File
mod - src/Mod/Part/App/PrimitiveFeature.cpp Diff File
mod - src/Mod/Part/App/PrimitiveFeature.h Diff File
mod - src/Mod/Part/Gui/AppPartGui.cpp Diff File
mod - src/Mod/Part/Gui/DlgPrimitives.cpp Diff File
mod - src/Mod/Part/Gui/DlgPrimitives.ui Diff File
mod - src/Mod/Part/Gui/Resources/Part.qrc Diff File
add - src/Mod/Part/Gui/Resources/icons/Part_Spiral_Parametric.svg Diff File
mod - src/Mod/Part/Gui/ViewProviderHelixParametric.cpp Diff File
mod - src/Mod/Part/Gui/ViewProviderHelixParametric.h Diff File

Issue History

Date Modified Username Field Change
2013-10-28 12:10 raulshc New Issue
2013-10-30 12:50 wmayer Note Added: 0003835
2013-10-30 12:50 wmayer Status new => closed
2013-10-30 12:50 wmayer Resolution open => fixed
2013-10-30 12:50 wmayer Fixed in Version => 0.14
2013-11-04 22:50 yorik Changeset attached => FreeCAD Master master 712bc170